unit DatabaseList;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmDatabaseList = class(TForm)
    lbTables: TListBox;
    Cancel: TButton;
    lbViews: TListBox;
    lbStoredProcs: TListBox;
    Panel1: TPanel;
    chxGenerateDrop: TCheckBox;
    chxFilterDinDocTypes: TCheckBox;
    chxFilterUserTables: TCheckBox;
    chxTriggers: TCheckBox;
    OK: TButton;
    chxTables: TCheckBox;
    chxStoredProcs: TCheckBox;
    chxViews: TCheckBox;
    Splitter1: TSplitter;
    Splitter2: TSplitter;
    procedure FormShow(Sender: TObject);
    procedure lbTablesDblClick(Sender: TObject);
    procedure chxObjectFilterClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDatabaseList: TfrmDatabaseList;

implementation

uses CreateDatabaseMain;

{$R *.DFM}

procedure TfrmDatabaseList.FormShow(Sender: TObject);
var cv:integer;
begin
  lbTables.Clear;
  chxTables.Checked:=False;
  lbViews.Clear;
  chxViews.Checked:=False;
  lbStoredProcs.Clear;
  chxStoredProcs.Checked:=False;
  with frmCreateDatabaseMain,SQLServerConn.Databases.Item(cbxDBName.Text,'dbo') do
  Begin
    for cv:=1 to Tables.Count do
      lbTables.Items.Add(Tables.Item(cv,'dbo').Name);

    for cv:=1 to StoredProcedures.Count do
      lbStoredProcs.Items.Add(StoredProcedures.Item(cv,'dbo').Name);

    for cv:=1 to Views.Count do
      lbViews.Items.Add(Views.Item(cv,'dbo').Name);
  End;
end;

procedure TfrmDatabaseList.lbTablesDblClick(Sender: TObject);
begin
  frmDatabaseList.ModalResult:=mrOK;
end;

procedure TfrmDatabaseList.chxObjectFilterClick(Sender: TObject);
var cv:integer;
begin
  if Sender=chxTables then
  with lbTables do
  for cv:=0 to Items.Count-1 do
    Selected[cv]:=chxTables.Checked;

  if Sender=chxStoredProcs then
  with lbStoredProcs do
  for cv:=0 to Items.Count-1 do
    Selected[cv]:=chxStoredProcs.Checked;

  if Sender=chxViews then
  with lbViews do
  for cv:=0 to Items.Count-1 do
    Selected[cv]:=chxViews.Checked;
end;

end.
